Skip to main content
PATCH
/
orgs
/
{org_id}
/
segments
/
{segment_id}
Update a Segment
curl --request PATCH \
  --url https://api.useinvent.com/orgs/{org_id}/segments/{segment_id} \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "color": "red"
}
'
{
  "id": "<string>",
  "name": "<string>",
  "color": "red",
  "contacts_count": 123,
  "boards": [
    {
      "board_id": "<string>",
      "board_name": "<string>",
      "column_id": "<string>"
    }
  ],
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Path Parameters

org_id
string
required

Org ID

segment_id
string
required

Segment ID

Body

Schema for updating a segment

name
string

Name of the segment

Required string length: 1 - 128
color
enum<string>

The name of the color to use in the UI

Available options:
red,
orange,
amber,
yellow,
lime,
green,
teal,
cyan,
sky,
blue,
indigo,
violet,
purple,
fuchsia,
pink,
rose,
neutral

Response

200 - application/json

Schema for the segment

id
string
required
name
string
required
color
enum<string>
required

The name of the color to use in the UI

Available options:
red,
orange,
amber,
yellow,
lime,
green,
teal,
cyan,
sky,
blue,
indigo,
violet,
purple,
fuchsia,
pink,
rose,
neutral
contacts_count
number
required
boards
object[]
required
created_at
string<date-time>
required
updated_at
string<date-time>
required